#!/bin/tclsh
#param0 = Number of backlight flashs
#param1 = timeout for backlight

#1flash
#....OOOO....
#2flashs
#....OOOOooooOOOO....
#1flash+bl
#....OOOOoooo
#2flash+bl
#....OOOOooooOOOOoooo
#just bl
#....

proc updconf {data} {
  set flash_file [open /tmp/lcd_msg/hss_lcd.conf "w"]
  puts $flash_file $data
  close $flash_file
  exec killall -SIGUSR1 hss_lcd
  after 1000
}

set orig_file [open /usr/local/etc/config/hss_lcd_msg.conf "r"]
set orig_data [read $orig_file]
close $orig_file
regexp -nocase {dateformat\s*=\s*[%dmy]+} $orig_data df
regexp -nocase {timeformat\s*=\s*[%HM]+} $orig_data tf
regexp -nocase {brightness.*} $orig_data rest_of_orig
set bright_data "BACKLIGHT = 2\nBACKLIGHT_UNIT = 1\nBRIGHTNESS = 15\nCONTRAST = 9\n$df\n$tf\n"
set last_bright_data "BACKLIGHT = 1\nBACKLIGHT_UNIT = 1\nBRIGHTNESS = 15\nCONTRAST = 9\n$df\n$tf\n"
set dark_data "BACKLIGHT = 2\nBACKLIGHT_UNIT = 1\nBRIGHTNESS = 0\nCONTRAST = 9\n$df\n$tf\n"
set on_data "BACKLIGHT = [lindex $argv 1]\nBACKLIGHT_UNIT = 1\n$rest_of_orig"
exec rm /tmp/lcd_msg/hss_lcd.conf
if { $argc == 0 || [lindex $argv 0] > 0} then {
  set flashcount [expr {[lindex $argv 0] + ($argc > 1)}]
  for {set i 1} {$i < $flashcount} {incr i} {
    updconf $bright_data
    updconf $dark_data
  }
  if {$argc < 2} then {
    updconf $last_bright_data
    after 1000
    file delete /tmp/lcd_msg/hss_lcd.conf
    exec ln -s /usr/local/etc/config/hss_lcd_msg.conf /tmp/lcd_msg/hss_lcd.conf
    exec killall -SIGUSR1 hss_lcd
  }
}
if {$argc > 1} then {
  updconf $on_data
  file delete /tmp/lcd_msg/hss_lcd.conf
  exec ln -s /usr/local/etc/config/hss_lcd_msg.conf /tmp/lcd_msg/hss_lcd.conf
}
